package com.fanruan.api.decision.user;

import com.fr.decision.authority.data.User;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-09-19
 */
public class OpenUser {

    private User user;

    static OpenUser wrap(User user) {
        return new OpenUser(user);
    }

    public OpenUser create(String id) {
        return new OpenUser(new User().id(id));
    }

    private OpenUser(User user) {
        this.user = user;
    }

    User select() {
        return user;
    }

    public String getUserName() {
        return user.getUserName();
    }

    public String getPassword() {
        return user.getPassword();
    }

    public void setPassword(String password) {
        this.user.setPassword(password);
    }

    public String getRealName() {
        return user.getRealName();
    }

    public void setRealName(String realName) {
        this.user.setRealName(realName);
    }

    public String getLanguage() {
        return user.getLanguage();
    }

    public void setLanguage(String language) {
        this.user.setLanguage(language);
    }

    public String getEmail() {
        return user.getEmail();
    }

    public void setEmail(String email) {
        this.user.setEmail(email);
    }

    public String getMobile() {
        return user.getMobile();
    }

    public void setMobile(String mobile) {
        this.user.setMobile(mobile);
    }
}
