package com.fanruan.api.report.form.value;

import com.fr.form.ui.WidgetValue;
import com.fr.form.ui.concept.data.ValueInitializer;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/9/17
 * 初始化工具类
 */
public class InitializerKit {

    /**
     * 初始化化一个控件值对象
     *
     * @return 控件值
     */
    public static ValueInitializer newValue() {
        return new WidgetValue();
    }

    /**
     * 初始化一个控件值对象
     *
     * @param value 控件值的值
     * @return 控件值
     */
    public static ValueInitializer newValue(Object value) {
        return new WidgetValue(value);
    }
}
