package com.fanruan.api.util;

import com.fr.base.TemplateUtils;
import com.fr.script.Calculator;
import com.fr.stable.script.CalculatorProvider;

import java.util.Collections;
import java.util.Map;

/**
 * 文本动态渲染工具类
 */
public class RenderKit {

    /**
     * 根据参数, 来计算文档字符串
     * @param text 待渲染的文本模板
     * @param map 参数集合
     * @return 返回渲染后的文本
     * @throws Exception 渲染过程中出现错误则抛出此异常
     */
    public static String renderParameter4Tpl(String text, Map<String, Object> map) throws Exception {
        return TemplateUtils.renderParameter4Tpl(text, map);
    }

    /**
     * 根据参数, 来计算文档字符串
     * @param s 待渲染的文本模板
     * @param c 参数集合
     * @return 返回渲染后的文本
     * @throws Exception 渲染过程中出现错误则抛出此异常
     */
    public static String render(String s, Calculator c) throws Exception {
        return TemplateUtils.render(s, c);
    }
}
