package com.fanruan.api.web;

import com.fr.decision.web.i18n.I18nTextGenerator;
import com.fr.gen.TextGenerator;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-09-19
 */
public class TextGeneratorKit {

    /**
     * 创建一个用于国际化的文本输出器
     *
     * @return 文本输出器
     */
    public static TextGenerator newI18nTextGenerator() {
        return new I18nTextGenerator();
    }
}
