package com.fanruan.api.xml;

import com.fr.base.Parameter;
import com.fr.stable.bridge.StableFactory;
import com.fr.stable.xml.XMLableReader;
import com.fr.third.javax.xml.stream.XMLStreamException;
import org.junit.Assert;
import org.junit.Test;

public class XmlKitTest {

    @Test
    public void readParameter() {
        try {
            XMLableReader xml = XMLableReader.createXMLableReader("<!--  Edited by XMLSpy®  -->\n" +
                    "<note>\n" +
                    "<Parameter>Tove</Parameter>\n" +
                    "<from>Jani</from>\n" +
                    "<heading>Reminder</heading>\n" +
                    "<body>Don't forget me this weekend!</body>\n" +
                    "</note>");
            Parameter parameter = new Parameter("test", 1);
            StableFactory.registerXMLDescription("Parameter",parameter);
            Parameter p = (Parameter)XmlKit.readParameter(xml);
            Assert.assertTrue(p.getName().equals("test"));
        } catch (XMLStreamException e) {
            e.printStackTrace();
        }
    }
}