package com.fanruan.api.query;

import com.fr.stable.query.condition.QueryCondition;
import com.fr.stable.query.condition.impl.QueryConditionImpl;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/9/25
 * 查询条件对象
 */
public class QueryConditionKit {

    private QueryConditionKit() {

    }

    /**
     * 创建一个查询条件对象
     *
     * @return 查询条件
     */
    public static QueryCondition newQueryCondition() {
        return new QueryConditionImpl();
    }
}
